Vigilfield Docs
API referenceTables

Table_get

GET/tables/{id}

Path Parameters

id*string

Table id

Response Body

application/json

curl -X GET "https://example.com/tables/string"
{  "columns": [    {      "data_type": "string",      "description": "string",      "name": "string",      "nullable": true    }  ],  "created_at": "string",  "description": "string",  "id": "string",  "is_managed": true,  "is_readonly": true,  "is_system": true,  "kind": "event",  "last_ingested_at": "string",  "max_versions": 0,  "name": "string",  "org_id": "string",  "owner_team_id": "string",  "population": {    "event_time_field": "string",    "kind": "source",    "query": null,    "rule_id": "string"  },  "result_of_query_id": "string",  "row_count": 0,  "size_bytes": 0,  "table_name": "string",  "updated_at": "string",  "warnings": [    {      "code": "string",      "message": "string"    }  ]}